"""
Personnel Detail JSONL Handler
"""
from ...datasource import BaseJsonlHandler, JsonlDataSource
from .sync_node import PersonnelDetailSyncNode
from schemas.power.power_detail import PowerDetail


class PersonnelDetailJsonlHandler(BaseJsonlHandler):
    """人员明细 JSONL Handler"""
    def __init__(self, datasource: JsonlDataSource):
        super().__init__(datasource, "personnel_detail", PersonnelDetailSyncNode, PowerDetail)
